function isdel(id,page,to_url)
{
	if ( confirm("是否真的删除？") )
	{
		location.href=to_url+"?id="+id+"&page="+page+"";
	
	}
	else
	{
		//location.href="#";	
	}
}

function isdelurl(txt_name,to_url)
{
	if(confirm("是否真的删除这个"+txt_name))
	{
		location.href=to_url;	
	}
	else
	{
		//location.href="#";	
	}
}
var checked_num=0;
function checked_numjj(cobj)
{
	if(cobj.checked==true)
	{
		checked_num++;
	}
	else
	{
		checked_num--; 
	}
}
function selectall()
{   
	 checked_num=0;
	  var   o=document.getElementsByTagName('INPUT');		
		 for(var i=0;i<o.length;i++)
		  {   
			  if(o[i].type=='checkbox' )
			  {   		   
				   if(o[i].checked==true)
				   {
				    o[i].checked=false; 
				   }
				   else
				   { 
				    o[i].checked=true;
					checked_num++; 
					
					}  			   
			  }   
		  }	
		
}
function del_select(txt_name,action_name)
{
   if(checked_num==0)
   {
   	alert("请选择您需要删除的"+txt_name+"！");
   }
   else
   {
   		var  obj=document.form_name;
   		obj.action=action_name;
   		if( confirm("是否真的删除？") )
		{
		 obj.submit();
		}
	}
}

//刷新
function other_select(txt_name,action_name)
{
   if(checked_num==0)
   {
   	alert("请选择您需要操作的"+txt_name+"！");
   }
   else
   {
   		var  obj=document.form_name;
   		obj.action=action_name;
   	  obj.submit();
	}
}

function hit(span_name,tr_name)
{
	var span_name=document.getElementById(span_name);
	var tr_name=document.getElementById(tr_name);
	if (tr_name.style.display=="none"){
		tr_name.style.display="";
		span_name.innerHTML="合起";
		span_name.title="合起"
	}
	else{
		tr_name.style.display="none";
		span_name.innerHTML="展开";
		span_name.title="展开"
	}
}


/*document search lump function*/
//函数说明：
//当没有默认搜索地址时，截取当前页面的地址作为搜索地址
//页面中应用方式
//<input type="text" name="search_word" id="search_word" />
//onclick="javascript:dosearch('formname','search_word','');"
function dosearch(formname,keyword,actionurl)
{
  var searchurl;
  if(actionurl=="")
  {
	   var weburl=window.location.href;//获取当前url地址
       weburl_arr=weburl.split("?");
	     actionurl=weburl_arr[0];
  }
  if(document.getElementById(keyword).value=="")
  {
      alert("请您填写搜索关键字！");
      document.getElementById(keyword).style.backgroundColor="#E9F5C6";
      document.getElementById(keyword).focus();
     
   }
   else
   {
      document.getElementById(formname).action=actionurl;
      document.getElementById(formname).submit();
   }
}